ONVIF::Media::Types::CertificateInformation(3)

NAME
ONVIF::Media::Types::CertificateInformation

DESCRIPTION
Perl data type class for the XML Schema defined complexType CertificateInformation from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateID

•   IssuerDN

•   SubjectDN

•   KeyUsage

•   ExtendedKeyUsage

•   KeyLength

•   Version

•   SerialNum

•   SignatureAlgorithm

•   Validity

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::CertificateInformation
   CertificateID =>  $some_value, # token
   IssuerDN =>  $some_value, # string
   SubjectDN =>  $some_value, # string
   KeyUsage =>  { value => $some_value },
   ExtendedKeyUsage =>  { value => $some_value },
   KeyLength =>  $some_value, # int
   Version =>  $some_value, # string
   SerialNum =>  $some_value, # string
   SignatureAlgorithm =>  $some_value, # string
   Validity =>  { # ONVIF::Media::Types::DateTimeRange
     From =>  $some_value, # dateTime
     Until =>  $some_value, # dateTime
   },
   Extension =>  { # ONVIF::Media::Types::CertificateInformationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL